## python-sievelib 1.1.1

=== requirements.txt ===
future
six

## python-sievelib 0.9.2

=== debian/changelog ===
python-sievelib (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Initialize git-dpm config
  * Update package name in URLs for Vcs-* fields.
  * Disable tests as a file used by them is missing in the upstream tarball.
  * Clean files in sievelib.egg-info/.

 -- Michael Fladischer <fladi@debian.org>  Fri, 11 Dec 2015 12:58:38 +0100

python-sievelib (0.8+git20150929.71f2dee-1) unstable; urgency=low

  * Initial release (Closes: #800437).

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Apr 2015 17:35:01 +0200

=== debian/control ===
Source: python-sievelib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-nose,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/tonioo/sievelib
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sievelib.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-sievelib.git

Package: python-sievelib
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Client-side Sieve and Managesieve library
 Client-side Sieve and Managesieve library written in Python.
 .
 Sieve:
 Currently, the provided parser supports most of the functionalities described
 in RFC 5228. The only exception concerns section 2.4.2.4. Encoding Characters
 using "encoded-character" which is not supported.
 The following Sieve extensions are also supported:
  * Date and Index (RFC 5260)
  * Vacation (RFC 5230)
 .
 ManageSieve:
 All mandatory commands are supported. The RENAME extension is supported, with a
 simulated behaviour for server that do not support it.
 For the AUTHENTICATE command, supported mechanisms are DIGEST-MD5, PLAIN and
 LOGIN.

Package: python3-sievelib
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Client-side Sieve and Managesieve library (Python3 version)
 Client-side Sieve and Managesieve library written in Python.
 .
 Sieve:
 Currently, the provided parser supports most of the functionalities described
 in RFC 5228. The only exception concerns section 2.4.2.4. Encoding Characters
 using "encoded-character" which is not supported.
 The following Sieve extensions are also supported:
  * Date and Index (RFC 5260)
  * Vacation (RFC 5230)
 .
 ManageSieve:
 All mandatory commands are supported. The RENAME extension is supported, with a
 simulated behaviour for server that do not support it.
 For the AUTHENTICATE command, supported mechanisms are DIGEST-MD5, PLAIN and
 LOGIN.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=sievelib
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-sievelib 1.1.0

=== debian/changelog ===
python-sievelib (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jan 2018 08:08:36 +0100

python-sievelib (1.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Use https:// for copyright-format 1.0 URL.
  * Bump Standards-Version to 4.1.1.
  * Clean up modified files to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Nov 2017 16:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all,
-               python-nose,
-               python-setuptools,
-               python-six,
-               python3-all,
-               python3-nose,
-               python3-setuptools,
-               python3-six
-Standards-Version: 3.9.6
+Uploaders:
+ Michael Fladischer <fladi@debian.org>,
+Build-Depends:
+ debhelper (>= 11),
+ dh-python,
+ python-all,
+ python-nose,
+ python-setuptools,
+ python-six,
+ python3-all,
+ python3-nose,
+ python3-setuptools,
+ python3-six,
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: https://github.com/tonioo/sievelib
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sievelib.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-sievelib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sievelib.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-sievelib
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
 Description: Client-side Sieve and Managesieve library
  Client-side Sieve and Managesieve library written in Python.
  .
@@ -43,8 +47,9 @@
 
 Package: python3-sievelib
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Client-side Sieve and Managesieve library (Python3 version)
  Client-side Sieve and Managesieve library written in Python.
  .

## python-sievelib 1.1.1

=== debian/changelog ===
python-sievelib (1.1.1-1ubuntu1) disco; urgency=medium

  * Depend on python{,3]-pkg-resources. Closes: #922343.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Mar 2019 16:30:27 +0100

python-sievelib (1.1.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility and version to 12.
  * Add python(3)-pip and python(3)-setuptools-scm to Build-Depends as
    upstream now uses them in setup.py.
  * Mock version number for setuptools_scm using pkg-info.mk.
  * Add patch to fix import of req module from pip (>= 10).

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Feb 2019 11:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,24 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python-all,
  python-nose,
+ python-pip,
  python-setuptools,
+ python-setuptools-scm,
  python-six,
  python3-all,
  python3-nose,
+ python3-pip,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-six,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/tonioo/sievelib
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-sievelib.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-sievelib.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-sievelib
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-sievelib.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-sievelib
@@ -28,6 +30,7 @@
 Depends:
  ${misc:Depends},
  ${python:Depends},
+ python-pkg-resources,
 Description: Client-side Sieve and Managesieve library
  Client-side Sieve and Managesieve library written in Python.
  .
@@ -50,6 +53,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-pkg-resources,
 Description: Client-side Sieve and Managesieve library (Python3 version)
  Client-side Sieve and Managesieve library written in Python.
  .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')

export PYBUILD_NAME=sievelib
export PYBUILD_DISABLE=test
export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-sievelib 1.2.0

=== debian/changelog ===
python-sievelib (1.2.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Sun, 25 Oct 2020 18:30:31 +0100

python-sievelib (1.1.1-3) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michael Fladischer ]
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Fri, 26 Jul 2019 10:46:26 +0200

python-sievelib (1.1.1-2) unstable; urgency=medium

  * Add python(3)-pkg-resources to Depends (Closes: #922343).

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Apr 2019 14:13:53 +0200

=== debian/control ===
Source: python-sievelib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-nose,
 python3-pip,
 python3-setuptools,
 python3-setuptools-scm,
 python3-six,
Standards-Version: 4.5.0
Homepage: https://github.com/tonioo/sievelib
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sievelib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sievelib.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sievelib
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: Client-side Sieve and Managesieve library (Python3 version)
 Client-side Sieve and Managesieve library written in Python.
 .
 Sieve:
 Currently, the provided parser supports most of the functionalities described
 in RFC 5228. The only exception concerns section 2.4.2.4. Encoding Characters
 using "encoded-character" which is not supported.
 The following Sieve extensions are also supported:
  * Date and Index (RFC 5260)
  * Vacation (RFC 5230)
 .
 ManageSieve:
 All mandatory commands are supported. The RENAME extension is supported, with a
 simulated behaviour for server that do not support it.
 For the AUTHENTICATE command, supported mechanisms are DIGEST-MD5, PLAIN and
 LOGIN.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sievelib/sievelib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sievelib 1.2.1

=== requirements.txt ===
# Requirements are listed in setup.py. The dot on the next line refers to
# the current directory, instructing installers to use this package's setup.py
.

=== debian/changelog ===
python-sievelib (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.6.0.1.
  * Update year in d/copyright.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests and build.

 -- Michael Fladischer <fladi@debian.org>  Fri, 14 Jan 2022 08:36:57 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-nose,
  python3-pip,
+ python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
  python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/tonioo/sievelib
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sievelib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sievelib.git

## python-sievelib 1.4.1

=== debian/changelog ===
python-sievelib (1.4.1-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * remove extraneous dependency on python3-six

  [ Michael Fladischer ]
  * New upstream version 1.4.1
  * Refresh patches.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Add python3-typing-extensions to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 12:53:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pip,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
- python3-six,
-Standards-Version: 4.6.0.1
+ python3-typing-extensions,
+Standards-Version: 4.7.0
 Homepage: https://github.com/tonioo/sievelib
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sievelib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sievelib.git

## python-sievelib 1.4.2

=== debian/changelog ===
python-sievelib (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Remove dependency on python3-pkg-resources (Closes: #1083707)
  * Fix SyntaxWarning (Closes: #1086961)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 18:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Package: python3-sievelib
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: Client-side Sieve and Managesieve library (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
 
 export PYBUILD_NAME=sievelib
-export PYBUILD_DISABLE=test
+export PYBUILD_BEFORE_TEST={interpreter} setup.py egg_info
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 %:

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 @,
 python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sievelib/sievelib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sievelib 1.4.3

=== debian/changelog ===
python-sievelib (1.4.3-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * restrict autopkgtest dependency

  [ Michael Fladischer ]
  * New upstream version 1.4.3
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Jan 2026 12:25:32 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,11 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-typing-extensions,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/tonioo/sievelib
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sievelib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sievelib.git
-Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-sievelib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
 
 export PYBUILD_NAME=sievelib
-export PYBUILD_BEFORE_TEST={interpreter} setup.py egg_info
+export PYBUILD_TEST_ARGS=--pyargs sievelib
 export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)
 
 %:

=== debian/watch ===
version=5
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sievelib/sievelib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
